.aolei_goods_list {
    width: 100%;
    padding: var(--component-gap) 0;
    overflow: hidden;
}

.aolei_goods_list .goods-list-title {
    color: var(--title-text-color);
    font-size: var(--font-40);
    font-family: var(--title-font-family);
    font-weight: 400;
    line-height: normal;
    text-align: center;
    margin: var(--gap-50) 0;
}

.aolei_goods_list .mix {
    display: none;
}

.aolei-goods-list-nav-wrapper {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.aolei_goods_list .aolei-goods-list-list {
    width: fit-content;
    display: flex;
    flex-direction: row;
    background: #F8F8F8;
    border-radius: 50px;
    border: 2px solid #EBEBEB;
    padding: 12px;
    overflow-x: auto;
    max-width: 100%;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

.aolei_goods_list .aolei-goods-list-list::-webkit-scrollbar {
    display: none;
}

.aolei_goods_list .aolei-goods-list-list::-webkit-scrollbar-thumb {
    background: #ccc;
    border-radius: 3px;
}

.aolei_goods_list .aolei-goods-list-list::-webkit-scrollbar-track {
    background: #eee;
    border-radius: 3px;
}

.aolei_goods_list .aolei-goods-list-card {
    border-radius: 50px;
    height: 47px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background 0.3s, color 0.3s, box-shadow 0.3s, transform 0.3s;
    cursor: pointer;
}

.aolei_goods_list .aolei-goods-list-card-name {
    padding: 10px 24px;
}

.aolei_goods_list .aolei-goods-list-card-title,
.aolei_goods_list .aolei-goods-list-card-name {
    width: max-content;
    font-size: var(--font-16);
    text-align: center;
    font-weight: 400;
    line-height: 1.5;
    font-family: var(--font-family);
    color: #000;
    transition: all 0.3s ease;
}

.aolei_goods_list .aolei-goods-list-card.selected {
    background: var(--color-primary);
    color: #FFF;
    animation: cardSelect 0.3s;
}

.aolei_goods_list .aolei-goods-list-card.selected .aolei-goods-list-card-name {
    color: #FFF;
}

.aolei_goods_list .aolei-goods-products-list {
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: calc(33.333% - 15px);
    gap: 22px;
    max-height: 600px;
}

.aolei_goods_list .aolei-goods-products-list .swiper-pagination {
    position: relative;
    bottom: 0;
}

.aolei_goods_list .aolei-goods-products-list .swiper-pagination .swiper-pagination-bullet-active {
    background: var(--color-primary);
}

.aolei_goods_list .aolei-goods-products-list.swiper-initialized {
    display: block;
    max-height: none;
}

.aolei_goods_list .goods-item {
    height: 100%;
    overflow: hidden;
    position: relative;
    display: flex;
    flex-direction: column;
    border: 1px solid #EEE;
    transition: all 0.3s ease;
}
.aolei_goods_list .goods-item .item-img{
    width: 100%;
    background-color: #e6e6e6;
}
.aolei_goods_list .goods-item-img {
    width: 100%;
    object-fit: contain;
    aspect-ratio: 8/5;
}

.aolei_goods_list .goods-item-content {
    width: 100%;
    display: flex;
    flex-direction: column;
    padding: 42px 24px;
}

.aolei_goods_list .content-title {
    font-size: var(--font-24);
    font-weight: 400;
    line-height: normal;
    font-family: var(--title-font-family);
    letter-spacing: -0.84px;
    color: var(--title-text-color);
    margin-bottom: 8px;
}

.aolei_goods_list .content-desc {
    font-size: var(--font-16);
    font-weight: 400;
    line-height: normal;
    font-family: var(--font-family);
    color: var(--title-text-color);
}

.aolei_goods_list .goods-item-btn {
    display: flex;
    gap: 16px;
    align-items: center;
    color: var(--color-primary);
    font-size: var(--font-16);
    font-weight: 400;
    line-height: normal;
    font-family: var(--font-family);
    margin-top: 16px;
    transition: all 0.3s ease;
}

.aolei_goods_list .goods-item-btn:hover {
    gap: 24px;
}

.aolei_goods_list .goods-item:hover .content-record-box {
    opacity: 1;
    max-height: fit-content;
    margin-top: 16px;
}

.aolei_goods_list .content-record-box {
    display: flex;
    gap: 8px;
    flex-wrap: wrap;
    opacity: 0;
    max-height: 0;
    transition: all 0.3s ease;
}

.aolei_goods_list .content-record-item {
    font-size: var(--font-14);
    font-weight: 400;
    line-height: normal;
    font-family: var(--font-family);
    color: #333;
    display: inline-block;
    letter-spacing: -0.84px;
    padding: 4px 8px;
    background: #EEE;
}

.aolei_goods_list .swiper-wrapper .swiper-slide {
    height: auto;
}

.aolei_goods_list .swiper {
    overflow: hidden;
}

@keyframes cardSelect {
    0% {
        transform: scale(1);
        box-shadow: none;
    }

    60% {
        transform: scale(1.12);
        box-shadow: 0 8px 32px rgba(25, 118, 210, 0.18);
    }

    100% {
        transform: scale(1.08);
        box-shadow: 0 4px 20px rgba(25, 118, 210, 0.15);
    }
}

@media (max-width: 992px) {
    .aolei_goods_list .aolei-goods-list-card {
        height: 40px;
    }

    .aolei_goods_list .aolei-goods-list-card-name {
        padding: 10px 16px;
    }

    .aolei_goods_list .aolei-goods-list-list {
        gap: 0;
        padding: 8px;
    }

    .aolei_goods_list .goods-item-content {
        padding: 12px 24px;
    }
}

@media (max-width: 576px) {
    .aolei_goods_list .aolei-goods-list-list {
        padding: 4px;
    }

    .aolei_goods_list .goods-item-content {
        padding: 12px;
    }
}